Name:           perl-ExtUtils-Manifest
Epoch:          1
Version:        1.71
Release:        4
Summary:        Utilities to write and check a MANIFEST file
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/ExtUtils-Manifest
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/ExtUtils-Manifest-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl-generators, perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp), perl(Config), perl(Exporter), perl(File::Basename), perl(strict), perl(warnings)
BuildRequires:  perl(File::Copy), perl(File::Find), perl(File::Path), perl(File::Spec) >= 0.8
BuildRequires:  perl(Cwd), perl(Test::More), perl(Data::Dumper)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)), perl(File::Path)

%description
Utilities to write and check a MANIFEST file.

%package        help
Summary:        Including man files for perl-ExtUtils-Manifest
Requires:       man

%description    help
This contains man files for the using of perl-ExtUtils-Manifest.

%prep
%autosetup -n ExtUtils-Manifest-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc README
%{perl_vendorlib}/*

%files help
%{_mandir}/man*/*

%changelog
* Sun Sep 15 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:1.71-4
- Package init
